Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 651882 (CVE-2018-7158, CVE-2018-7159, CVE-2018-7160)

Summary: <net-libs/nodejs-{4.9.0,6.14.0,8.11.0} - multiple vulnerabilities
Product: Gentoo Security Reporter: Jeroen Roovers <jer>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: hydrapolic, patrick
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V8.md
See Also: https://bugs.gentoo.org/show_bug.cgi?id=643510
Whiteboard: B4 [noglsa cve]
Package list:
=net-libs/nodejs-4.9.0 =net-libs/nodejs-6.14.0 =net-libs/nodejs-8.11.0 =net-libs/http-parser-2.8.1 =dev-libs/libuv-1.20.0
Runtime testing required: ---
Bug Depends on: 641130    
Bug Blocks:    

Description Jeroen Roovers gentoo-dev 2018-03-29 05:59:49 UTC
Fix for inspector DNS rebinding vulnerability (CVE-2018-7160): A malicious website could use a DNS rebinding attack to trick a web browser to bypass same-origin-policy checks and allow HTTP connections to localhost or to hosts on the local network, potentially to an open inspector port as a debugger, therefore gaining full code execution access. The inspector now only allows connections that have a browser Host value of localhost or localhost6.

Fix for 'path' module regular expression denial of service (CVE-2018-7158): A regular expression used for parsing POSIX paths could be used to cause a denial of service if an attacker were able to have a specially crafted path string passed through one of the impacted 'path' module functions.


Reject spaces in HTTP Content-Length header values (CVE-2018-7159): The Node.js HTTP parser allowed for spaces inside Content-Length header values. Such values now lead to rejected connections in the same way as non-numeric values.
Comment 1 Pacho Ramos gentoo-dev 2018-04-14 10:32:34 UTC
*** Bug 643510 has been marked as a duplicate of this bug. ***
Comment 2 Michael Boyle 2018-04-24 02:13:59 UTC
Hello!
@maintainers, is there a status for his bug?

Michael Boyle
Gentoo Security Padawan
Comment 3 Jeroen Roovers gentoo-dev 2018-04-24 05:42:19 UTC
(In reply to Michael Boyle from comment #2)
> @maintainers, is there a status for his bug?

Yes, apparently it's "CONFIRMED".
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-24 07:25:37 UTC
(In reply to Jeroen Roovers from comment #3)
> (In reply to Michael Boyle from comment #2)
> > @maintainers, is there a status for his bug?
> 
> Yes, apparently it's "CONFIRMED".

silly jokes are not welcome, if you can't help yourself making them, please find better place than bugzilla
Comment 5 Jeroen Roovers gentoo-dev 2018-04-24 19:04:40 UTC
(In reply to Mikle Kolyada from comment #4)
> (In reply to Jeroen Roovers from comment #3)
> > (In reply to Michael Boyle from comment #2)
> > > @maintainers, is there a status for his bug?
> > 
> > Yes, apparently it's "CONFIRMED".
> 
> silly jokes are not welcome, if you can't help yourself making them, please
> find better place than bugzilla

They're not?
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-05-20 20:57:20 UTC
GLSA Vote: No